Name:		dolphin-emu
Version:	4.0
Release:	%mkrel 2
Epoch:		1
License:	GPLv2
Summary:	Gamecube / Wii / Triforce Emulator
Url:		http://dolphin-emu.org/
Group:		Emulators
Source0:	http://dolphin-emu.googlecode.com/files/dolphin-%{version}-src.zip
Source9:	%{name}-256.png
Source10:	%{name}-128.png
Source11:	%{name}-64.png
Source12:	%{name}-32.png
Source13:	%{name}-16.png
Patch0:		dolphin-%version-link.patch
BuildRequires:	cg-devel
BuildRequires:	cmake
BuildRequires:	libgomp-devel
BuildRequires:	mesaglu-devel
BuildRequires:	glew-devel
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(ao)
BuildRequires:	pkgconfig(bluez)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	openal-devel
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	portaudio-devel
BuildRequires:	pkgconfig(libavcodec) >= 53.35.0
BuildRequires:	zlib-devel
BuildRequires:	wxgtku2.8-devel
BuildRequires:	sfml-network-devel

%description
Gamecube / Wii / Triforce Emulator.

%prep
%setup -qn %name
%apply_patches

%build
%cmake
%make

%install
%makeinstall_std -C build
%__install -D -m 644 %{SOURCE13} %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%__install -D -m 644 %{SOURCE12} %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%__install -D -m 644 %{SOURCE11} %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png
%__install -D -m 644 %{SOURCE10} %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png
%__install -D -m 644 %{SOURCE9} %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{name}.png

%__install -d %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Dolphin-Emulator
Comment=%{summary}
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;Emulator;
EOF

rm -fv %buildroot%{_libdir}/libpolarssl.a

%find_lang %{name}

%files -f %{name}.lang
%doc license.txt Readme.txt
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/pixmaps/%{name}.xpm


%changelog
* Thu Oct 31 2013 tmb <tmb> 1:4.0-2.mga4
+ Revision: 548351
- Mageia 4 rebuild

* Thu Oct 10 2013 dams <dams> 1:4.0-1.mga4.nonfree
+ Revision: 494507
- fix typo in specfile

  + neoclust <neoclust>
    - New version

* Wed Jul 24 2013 sander85 <sander85> 1:3.5-5.mga4.nonfree
+ Revision: 457695
- Rebuild for new glew

* Tue Jul 16 2013 fwang <fwang> 1:3.5-4.mga4.nonfree
+ Revision: 454975
- rebuild for new ffmpeg

* Wed Jun 05 2013 fwang <fwang> 1:3.5-3.mga4.nonfree
+ Revision: 437475
- fix conflicts
- br sfml
- build sfml-network as static lib
- build static lib
- fix br on sfml
- force gomp
- new version 3.5
- use correct macro
- use system flags

* Thu Jan 17 2013 pterjan <pterjan> 1:3.0.802-2.mga4.nonfree
+ Revision: 389214
+ rebuild (emptylog)

* Fri Jan 11 2013 umeabot <umeabot> 1:3.0.802-2.mga3.nonfree
+ Revision: 349057
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 juancho <juancho> 1:3.0.802-1.mga3.nonfree
+ Revision: 343609
- imported package dolphin-emu

